计算管理/虚拟机相关接口
POSTVM Related Interfaces起始版本 4.4.6同步需要认证
解析OVF模板信息
解析OVF模板信息
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
xmlBase64String必填基础64编码ovf文件内容。
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
POST/zstack/v1/ovf/parse
/zstack/v1/ovf/parse
请求示例
curl -X POST 'http://{host}/zstack/v1/ovf/parse' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"xmlBase64":"<xmlBase64>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "ovfInfo": { "disks": [ { "index": 0.0, "diskId": "system", "fileRef": "file1", "fileName": "system.vmdk", "format": "vmdk", "populatedSize": 1.688600576E9, "capacity": 6.442450944E10 } ], "networks": [ { "name": "red-net" } ], "cpu": { "instanceId": "2", "quantity": 4.0, "coresPerSocket": 4.0 }, "memory": { "instanceId": "3", "quantity": 4.294967296E9 }, "vmName": "VM-1", "os": { "id": 107.0, "version": "7", "osType": "centos", "description": "CentOS 7" }, "systemInfo": { "virtualSystemType": "vmx-18" }, "nics": [ { "networkName": "red-net", "nicModel": "E1000", "nicName": "nic-1", "autoAllocation": true } ], "cdDrivers": [ { "autoAllocation": true, "driverType": "SATA", "subType": "vmware.cdrom.remotepassthrough", "name": "CD" } ], "volumes": [ { "name": "System Volume", "diskId": "system", "driverType": "IDE" } ] } }变更历史
此 API 暂无变更历史记录。
